Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IMarkerActionFilter

All Superinterfaces:
  IActionFilter

public interface IMarkerActionFilter
extends IActionFilter

Describes the public attributes for a marker and the acceptable values each may have.

A popup menu extension may use these constants to describe its object target. Each identifies an attribute name or possible value.

Clients are not expected to implement this interface.

See Also:
  `IActionFilter`

Field Summary
`static String` | `DONE` An attribute indicating whether the marker is considered done (value `"done"`).
`static String` | `MESSAGE` An attribute indicating the marker message (value `"message"`).
`static String` | `PRIORITY` An attribute indicating the marker priority (value `"priority"`).
`static String` | `RESOURCE_TYPE` An attribute indicating the type of resource associated with the marker (value `"resourceType"`).
`static String` | `SEVERITY` An attribute indicating the marker severity (value `"severity"`).
`static String` | `SUPER_TYPE` An attribute indicating the marker super type (value `"superType"`).
`static String` | `TYPE` An attribute indicating the marker type (value `"type"`).

Methods inherited from interface org.eclipse.ui.IActionFilter
`testAttribute`

Field Detail

### TYPE

    public static final String TYPE

  An attribute indicating the marker type (value `"type"`). The attribute value in xml should match one of the marker types defined in the workbench's marker extension point. Common examples are `IMarker.TASK, IMarker.BOOKMARK, and IMarker.MARKER`.

  See Also:
    Constant Field Values

### SUPER_TYPE

    public static final String SUPER_TYPE

  An attribute indicating the marker super type (value `"superType"`). The attribute value in xml should match one of the marker types defined in the workbench's marker extension point. Common examples are `IMarker.TASK, IMarker.BOOKMARK, and IMarker.MARKER`.

  See Also:
    Constant Field Values

### PRIORITY

    public static final String PRIORITY

  An attribute indicating the marker priority (value `"priority"`). The attribute value in xml must be one of `IMarker.PRIORITY_LOW, IMarker.PRIORITY_NORMAL, or IMarker.PRIORITY_HIGH`

  See Also:
    Constant Field Values

### SEVERITY

    public static final String SEVERITY

  An attribute indicating the marker severity (value `"severity"`). The attribute value in xml in xml must be one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, or IMarker.SEVERITY_INFO`

  See Also:
    Constant Field Values

### DONE

    public static final String DONE

  An attribute indicating whether the marker is considered done (value `"done"`). The attribute value in xml must be one of `"true" or "false"`.

  See Also:
    Constant Field Values

### MESSAGE

    public static final String MESSAGE

  An attribute indicating the marker message (value `"message"`). The attribute value in xml is unconstrained. "*" may be used at the start or the end to represent "one or more characters".

  See Also:
    Constant Field Values

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

  An attribute indicating the type of resource associated with the marker (value `"resourceType"`). The attribute value in xml must be one of `IResource.FILE, IResource.PROJECT, IResource.FOLDER, or IResource.ROOT`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.